##%%define cvsrel 20070131cvs

Name: linux-gpib
Version: 3.2.14
Release: 1
##Release: 3.%{cvsrel}
Summary: Linux GPIB Project

Group:          System Environment/Kernel
License:        GPL
URL:             http://linux-gpib.sourceforge.net
##Source0: %{name}-%{version}-%{cvsrel}.tar.gz
Source0: %{name}-%{version}.tar.gz
##Patch0: linux-gpib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{name}-kmod >= %{version}
Requires:       udev
Requires(pre):  %{_sbindir}/groupadd
Provides:       %{name}-kmod-common = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

BuildRequires:   kernel-devel
#Requires:       

%description
This is Linux-GPIB the IEEE-488 card support
package and measurement suite for LINUX.

%prep
%setup -q

%build
%configure
for dir in {doc,include,lib,usb,language,test,examples,drivers/gpib/include}; do
	make %{?_smp_mflags} -C $dir
done

%install
rm -rf $RPM_BUILD_ROOT

for dir in {doc,include,lib,usb,language,test,examples,drivers/gpib/include}; do
	%makeinstall -C $dir HOTPLUG_USB_CONF_DIR=$RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb USB_FIRMWARE_DIR=$RPM_BUILD_ROOT%{_datadir}/linux-gpib/usb
done

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d

#Fix me! Driver should not create unexpected nodes.
cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/gpib.rules
# for USB devices
# National Instruments USB-GPIB-B w/o pre-installed firmware
KERNEL=="gpib0", BUS=="usb", SYSFS{idVendor}=="3923", SYSFS{idProduct}=="702b", SYMLINK="gpib/%n",	MODE="0666",	RUN+="fxload -t fx -s %{_datadir}/linux-gpib/usb/ni_usb_gpib/niusbb_loader.hex -l %{_datadir}/linux-gpib/usb/ni_usb_gpib/niusbb_firmware.hex && %{_sbindir}/gpib_config --minor %%n"

# Agilent 82357a without firmware
KERNEL=="gpib0", BUS=="usb", SYSFS{idVendor}=="957", SYSFS{idProduct}=="7", SYMLINK="gpib/%n", MODE="0666", RUN+="fxload -l %{_datadir}/linux-gpib/usb/agilent_82357a/82357a_fw.hex && %{_sbindir}/gpib_config --minor %%n"
# Agilent 82357b without firmware
KERNEL=="gpib0", BUS=="usb", SYSFS{idVendor}=="957", SYSFS{idProduct}=="518", SYMLINK="gpib/%n",	MODE="0666",	RUN+="fxload -t fx2 -l %{_datadir}/linux-gpib/usb/agilent_82357a/measat_releaseX1.8.hex && %{_sbindir}/gpib_config --minor %%n"

# default rule
KERNEL=="gpib0", SYMLINK="gpib/%n", MODE="0666", RUN+="%{_sbindir}/gpib_config --minor %%n"
EOF
rm -fR $RPM_BUILD_ROOT%{_sysconfdir}/hotplug
#mv $RPM_BUILD_ROOT%{_datadir}/usb $RPM_BUILD_ROOT%{_datadir}/linux-gpib

cp util/templates/gpib.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README* TODO ChangeLog INSTALL doc
%{_sysconfdir}/udev/rules.d/gpib.rules
%config(noreplace) %{_sysconfdir}/gpib.conf
%{_bindir}/ibtest
%{_includedir}/gpib/*
%{_libdir}/libgpib.*
%{_libdir}/python*/site-packages/*
%{_sbindir}/gpib_config
%{_datadir}/linux-gpib

%changelog
* Fri Sep 10 2010 Kentaro Kitagawa <kitag@issp.u-tokyo.ac.jp>
- build for Fedora 13.

* Fri Jun 21 2008 Kentaro Kitagawa <kitag@issp.u-tokyo.ac.jp>
- build for Fedora 9.

* Sat Jan 20 2007 Kentaro Kitagawa <kitagawa@scphys.kyoto-u.ac.jp>
- initial build for Fedora Core.
